View Issue Details

IDProjectCategoryView StatusLast Update
0003130unrealircdpublic2015-07-09 19:53
ReporterDragonRyderAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSlinuxOS Versionlinux
Product Version3.2.5 
Target VersionFixed in Version3.4-alpha4 
Summary0003130: TechAdmin & channel mode
Descriptionsetting irc op level for techadmin (usermode +y). adding ability to set channel mode to +Y so only servicesadmins and higher can enter.
Steps To Reproduceusermode and channelmode
Additional Informationa techadmin deals with your ircd adn makeing the shells run the unreal correctly while the servicesadmins make sure services are running properly.
TagsNo tags attached.
3rd party modules

Activities

stskeeps

2006-11-29 04:36

reporter   ~0012760

We removed +T techadmin long ago ..

DragonRyder

2006-11-29 07:40

reporter   ~0012762

mind if i ask why? and what about the channel mode. some networks like my own want to have the debugging channel set for services and net admins only. btu can not set that as the only highest thing to set is +A which allows server admins and higher in. want it so only services and higher can enter.

stskeeps

2006-11-29 08:51

reporter   ~0012763

Very simple, it was identical to +N in almost every aspect, and so, redundant. If you want titleish stuff, use +N plus a well behaved oper community, which doesn't enter channels they shouldn't..

aquanight

2006-11-29 13:03

reporter   ~0012770

for the chanmode you can just use codemastr's +P module - whereever it is

Bricker

2006-12-06 19:16

reporter   ~0012803

you can also make a patch that will restrict different levels of IRC Operators from seeing channels like +s if you dont have a trustworthy network. but remember, if you dont trust them, they shouldnt be on your staff ;P

DragonRyder

2006-12-06 21:05

reporter   ~0012804

has nothing to do with not trusting - just wanted to know if it could be there or not, as i said some networks like mine want to make sure they do not "accidently" enter the channel, or try to cause fights cause certain admins will say well it is +A so ServerAdmins can join cause ServerAdmins are +A adn then sit there explaining that they need to read topic that it is for Services & net admins only, gets tiresome to have to get rid of a link from my net just cause a server admin feels they should be in my services channel.

Bricker

2006-12-06 22:23

reporter   ~0012805

well, as I said you can get a patch for that, so only certain level admins can see certain channels. I'll see if Jason doesnt have that patch readily available. Right now on our network its setup to not allow IRCoperators of Global down to be able to see +s channels. Im sure it can be greatly more configurable then that, i'll see if he cant get intouch through here to either let you know how to code it yourself, or provide you with the current patch and you take it from there.

WolfSage

2007-04-18 17:06

reporter   ~0013535

Bricker, still waiting on this or is it all set?

Bricker

2007-04-18 20:30

reporter   ~0013562

wolfsage, totally forgot about it, i'll reply with the patch tonight hopefully

Maverick

2007-04-20 18:49

reporter   ~0013619

i dont use T mode. bricker, where is the patch ?

Bricker

2007-04-22 20:34

reporter   ~0013634

thought i posted. its not a patch, its a fix in SHOW_SECRET inside of includes/config.h needs to be enabled, somewhere along the line it was disabled. should fix your problem

syzop

2015-07-09 19:53

administrator   ~0018461

with the new oper privilege system in 3.4.x we removed all levels. We added oper classes. You can use extended ban ~O:operclass in +I (for example) to make such channels now.

Issue History

Date Modified Username Field Change
2006-11-28 23:22 DragonRyder New Issue
2006-11-29 04:36 stskeeps Note Added: 0012760
2006-11-29 07:40 DragonRyder Note Added: 0012762
2006-11-29 08:51 stskeeps Note Added: 0012763
2006-11-29 13:03 aquanight Note Added: 0012770
2006-12-06 19:16 Bricker Note Added: 0012803
2006-12-06 21:05 DragonRyder Note Added: 0012804
2006-12-06 22:23 Bricker Note Added: 0012805
2007-04-18 17:06 WolfSage Note Added: 0013535
2007-04-18 20:30 Bricker Note Added: 0013562
2007-04-19 02:18 stskeeps Status new => feedback
2007-04-20 18:49 Maverick Note Added: 0013619
2007-04-22 20:34 Bricker Note Added: 0013634
2015-07-09 19:53 syzop Note Added: 0018461
2015-07-09 19:53 syzop Status feedback => resolved
2015-07-09 19:53 syzop Fixed in Version => 3.4-alpha4
2015-07-09 19:53 syzop Resolution open => fixed
2015-07-09 19:53 syzop Assigned To => syzop